Bug 98506 - Take account of overflowing values for width calculation of a year sub-field
Summary: Take account of overflowing values for width calculation of a year sub-field
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kent Tamura
URL:
Keywords:
Depends on:
Blocks: 98226
  Show dependency treegraph
 
Reported: 2012-10-05 03:55 PDT by Kent Tamura
Modified: 2012-10-08 19:18 PDT (History)
2 users (show)

See Also:


Attachments
Patch (4.69 KB, patch)
2012-10-05 03:58 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff
Patch 2 (4.70 KB, patch)
2012-10-08 05:51 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2012-10-05 03:55:05 PDT
Year field of input[type=date] should take account of overflowing values

<input type=date max=9999-12-31 value="10000-01-01"> should show 10000 correctly.
Comment 1 Kent Tamura 2012-10-05 03:58:30 PDT
Created attachment 167303 [details]
Patch
Comment 2 Build Bot 2012-10-05 09:31:25 PDT
Comment on attachment 167303 [details]
Patch

Attachment 167303 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/14169810

New failing tests:
fast/forms/date-multiple-fields/date-multiple-fields-change-layout-by-value.html
Comment 3 Kent Tamura 2012-10-08 05:51:04 PDT
Created attachment 167527 [details]
Patch 2
Comment 4 Eric Seidel (no email) 2012-10-08 13:27:00 PDT
Comment on attachment 167527 [details]
Patch 2

OK.
Comment 5 Kent Tamura 2012-10-08 19:06:34 PDT
Comment on attachment 167527 [details]
Patch 2

Thanks
Comment 6 WebKit Review Bot 2012-10-08 19:18:16 PDT
Comment on attachment 167527 [details]
Patch 2

Clearing flags on attachment: 167527

Committed r130716: <http://trac.webkit.org/changeset/130716>
Comment 7 WebKit Review Bot 2012-10-08 19:18:19 PDT
All reviewed patches have been landed.  Closing bug.